<template>
  <Html>
    <Body class="body">
      <div class="main">
        <Header />
        <slot />
      </div>
    </Body>
  </Html>
</template>

<script setup lang="ts"></script>

<style lang="scss" scoped>
@use "~/assets/scss/mixins" as *;

.main {
  // display: grid;
  // width: 100%;
  // height: max-content;
  // position: relative;
  // background-size: cover;
  // object-fit: cover;
  &:has(.shop) {
    display: grid;
  }
}
</style>
